@import url('https://fonts.googleapis.com/css2?family=Lato:wght@100;300;400;700;900&display=swap');

html,
body {
    font-family: 'Lato', sans-serif;
    background-color: #edf2f9;
    height: 100%;
    width: 100%;
    place-items: center;
}

*, *:before, *:after {
    box-sizing: border-box;
}

*:focus,
*:active {
    outline: none !important;
    -webkit-tap-highlight-color: transparent;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/*
    Weather Card
*/

.weather-card-wrapper {
    margin-top: 8%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

.weather-card {
    margin: 20px 5px;
    border-radius: 20px;
    position: relative;
    overflow: hidden;
    width: 270px;
    height: 270px;
    background-color: white;
    box-shadow: 0 7px 14px 0 rgba(65,69,88,.1),0 3px 6px 0 rgba(0,0,0,.07);
    animation: appear 500ms ease-out forwards;
}

h1 {
    position: absolute;
    font-family: 'Lato', sans-serif;
    font-weight:300;
    font-size:80px;
    color: #3581e6;
    bottom: 70px;
    left: 15px;
    opacity: 0;
    transform: translateX(150px);
    animation: title-appear 500ms ease-out 500ms forwards;
}

.description {
    position: absolute;
    font-family: 'Lato', sans-serif;
    font-weight:300;
    font-size:20px;
    color: #f58241;
    top: 50px;
    left: 24px;
    transform: translateX(250px);
    animation: title-appear 0.5s ease-out 500ms forwards;
}

.location {
    position: absolute;
    font-family: 'Lato', sans-serif;
    font-weight:300;
    font-size:28px;
    color: #5e6e82;
    bottom: 30px;
    left: 24px;
    transform: translateX(250px);
    animation: title-appear 1s ease-out 500ms forwards;
}

.weather-icon img {
    position: relative;
    width: 130px;
    height: 130px;
    top: 0;
    float: right;
    margin: 5px 5px 0 0;
    animation: weather-icon-move 5s ease-in-out infinite;
}

.last_update {
    margin-top: 5x;
    color: #748194 ;
    font-family: 'Lato', sans-serif;
    font-weight:300;
    font-size: .83333rem;
    text-align: center;
    animation: all 300ms ease-in-out;
}

@keyframes weather-icon-move {
    50% {
        transform: translateY(-8px);
    }
}

@keyframes appear {
    0% {
        transform:scale(0);
    }
    50% {
        transform:scale(1.05)
    }
    75% {
        transform:scale(0.95)
    }
    100% {
        transform:scale(1)
    }
}

@keyframes title-appear {
    from {
        opacity: 0;
        transform: translateX(150px);
    }
    to {
        opacity: 1;
        transform: translateX(0px);
    }
}

/*
    Weather Extra Cards
*/

.fa-wind {
    color: #a0c4ff;
}

.fa-temperature-low {
    color: #fcbf49;
}

.fa-thermometer {
    color: #ffadad;
}

.fa-cloud-rain {
    color: #48cae4;
}


.icon:hover .fas {
    color: #ffffff;
}

.icon {
    animation: appear 500ms ease-out forwards;
}

.weather-extra-wrapper {
    margin-top: 2%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

.weather-extra-wrapper .icon {
    position: relative;
    background-color: #ffffff;
    border-radius: 50%;
    padding: 15px;
    margin: 10px;
    width: 50px;
    height: 50px;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 0 7px 14px 0 rgba(65,69,88,.1),0 3px 6px 0 rgba(0,0,0,.07);
    cursor: pointer;
    transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.weather-extra-wrapper .tooltip {
    position: absolute;
    top: 0;
    font-size: 14px;
    background-color: #ffffff;
    color: #ffffff;
    padding: 5px 8px;
    border-radius: 5px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    white-space: nowrap;
}

.weather-extra-wrapper .tooltip::before {
    position: absolute;
    content: "";
    height: 8px;
    width: 8px;
    background-color: #ffffff;
    bottom: -3px;
    left: 50%;
    transform: translate(-50%) rotate(45deg);
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.weather-extra-wrapper .icon:hover .tooltip {
    top: -45px;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.weather-extra-wrapper .icon:hover span,
.weather-extra-wrapper .icon:hover .tooltip {
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.1);
}

.weather-extra-wrapper .wind:hover,
.weather-extra-wrapper .wind:hover .tooltip,
.weather-extra-wrapper .wind:hover .tooltip::before {
    background-color: #a0c4ff;
    color: #ffffff;
}

.weather-extra-wrapper .feels_like:hover,
.weather-extra-wrapper .feels_like:hover .tooltip,
.weather-extra-wrapper .feels_like:hover .tooltip::before {
    background-color: #fcbf49;
    color: #ffffff;
}

.weather-extra-wrapper .pressure:hover,
.weather-extra-wrapper .pressure:hover .tooltip,
.weather-extra-wrapper .pressure:hover .tooltip::before {
    background-color: #ffadad;
    color: #ffffff;
}

.weather-extra-wrapper .humidity:hover,
.weather-extra-wrapper .humidity:hover .tooltip,
.weather-extra-wrapper .humidity:hover .tooltip::before {
    background-color: #48cae4;
    color: #ffffff;
}

/* 
    Btn Refresh
*/

.weather-button-wrapper {
    margin-top: 3%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

.btn-hover {
    width: 140px;
    font-size: .875rem;
    font-weight: 500;
    color: #fff;
    cursor: pointer;
    margin: 10px;
    height: 40px;
    text-align:center;
    border: none;
    background-size: 300% 100%;
    border-radius: .4rem;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;    
}
  
.btn-hover:hover {
    background-position: 100% 0;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}
  
.btn-hover:focus {
    outline: none;
}
  
.btn-hover.btn {
    background-image: linear-gradient(
        to right,
        #25aae1,
        #4481eb,
        #04befe,
        #3f86ed
    );
    box-shadow: 0 7px 14px 0 rgba(65,69,88,.1),0 3px 6px 0 rgba(0,0,0,.07);
}